summary refs log tree commit diff
path: root/bin/whatismyip
diff options
context:
space:
mode:
Diffstat (limited to 'bin/whatismyip')
-rwxr-xr-xbin/whatismyip6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/whatismyip b/bin/whatismyip
new file mode 100755
index 0000000..748b731
--- /dev/null
+++ b/bin/whatismyip
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+set -e
+[ -n "$DEBUG" ] && set -x
+
+curl -sSfL ifconfig.co/json | jq